import AvaLoginBlock from "./AvaLoginBlock";
import TimeOfCreation from "./TimeOfCreation";
import styled from "styled-components";

const AnswerWrap = styled.div`
  margin-left: 30px`


 const Comment = ({commentData}) => {
console.log(commentData.owner.avatar)
    return (
        <>
            <AvaLoginBlock name={commentData.owner.login} urlAva={commentData.owner.avatar}
                           styled={{height: "30px"}}/>
            <p>{commentData.text}</p>
            <TimeOfCreation createdTime={commentData.createdAt}/>
            {commentData.answers &&
            <AnswerWrap>
                <p>OTVET</p>
                {commentData.answers.map((item, i) => <Comment commentData={item} key={i}/>)}
            </AnswerWrap>
            }
        </>
    )
}

export default Comment;